%global with_python3 0
%global gittag0 0.15.1

Summary:       Langpacks plugin for dnf
Name:          dnf-langpacks
Version:       0.15.1
Release:       1%{?dist}
License:       GPLv2+
URL:           https://github.com/pnemade/dnf-langpacks
Source0:       https://github.com/pnemade/%{name}/archive/%{gittag0}.tar.gz#/%{name}-%{version}.tar.gz
BuildArch:     noarch
Requires:      python-%{name} = %{version}-%{release}

Provides:      dnf-command(langavailable)
Provides:      dnf-command(langinfo)
Provides:      dnf-command(langlist)
Provides:      dnf-command(langinstall)
Provides:      dnf-command(langremove)

%description
dnf-langpacks is a plugin for DNF that looks for langpacks for your native
language for packages you install.


%package -n python-%{name}
Summary:       Langpacks plugin for dnf-2
License:       GPLv2+

BuildRequires: python2-devel
BuildRequires: python-setuptools

Requires:      dnf
Requires:      dnf-plugins-core
Requires:      langtable-python
Requires:      %{name}-conf = %{version}-%{release}

%description -n python-%{name}
python2 implementation of dnf-langpacks plugin for DNF that looks for langpacks
for your native language for packages you install.

%if 0%{?with_python3}
%package -n python3-%{name}
Summary:       Langpacks plugin for dnf-3
BuildRequires: python3-devel
BuildRequires: python3-setuptools
Requires:      python3-dnf
Requires:      python3-dnf-plugins-core
Requires:      langtable-python3
%endif

%if 0%{?with_python3}
%description -n python3-%{name}
dnf-langpacks is a plugin for DNF that looks for langpacks for your native
language for packages you install.
%endif

%package conf
Summary:    Configuration file for DNF Langpacks plugin

%description conf
Configuration file for DNF Langpacks plugin.

%prep
%setup -qc

mv %{name}-%{gittag0} python2
pushd python2
rm -rf *.egg-info
cp -p README.md NEWS LICENSE ../
popd

%if 0%{?with_python3}
cp -a python2 python3
sed -i 's|2.7|3.4|g' python3/setup.py
%endif

%build

%install
%if 0%{?with_python3}
pushd python3
%{__python3} setup.py install --skip-build --root=%{buildroot}
popd
%endif

pushd python2
%{__python2} setup.py install --skip-build --root=%{buildroot}
popd

mkdir -p %{buildroot}/%{_localstatedir}/lib/dnf/plugins/langpacks
touch %{buildroot}/%{_localstatedir}/lib/dnf/plugins/langpacks/installed_langpacks

%posttrans
# This is yum-langpacks database migration
if [ ! -f %{_localstatedir}/lib/dnf/plugins/langpacks/installed_langpacks ]; then
   if [ -f %{_localstatedir}/lib/yum/plugins/langpacks/installed_langpacks ]; then
      cp -p %{_localstatedir}/lib/yum/plugins/langpacks/installed_langpacks \
           %{_localstatedir}/lib/dnf/plugins/langpacks/installed_langpacks
    fi
fi

%files

%files -n python-%{name}
%doc README.md NEWS
%license LICENSE
%{python2_sitelib}/dnf-plugins/*
%{python2_sitelib}/*egg-info*

%if 0%{?with_python3}
%files -n python3-%{name}
%doc README.md NEWS
%license LICENSE
%{python3_sitelib}/dnf-plugins/*
%{python3_sitelib}/*egg-info*
%endif

%files conf
%ghost %{_localstatedir}/lib/dnf/plugins/langpacks/installed_langpacks
%{_mandir}/man8/dnf.plugin.langpacks.8.gz
%config(noreplace) %{_sysconfdir}/dnf/plugins/langpacks.conf

%changelog
* Thu Sep 10 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.15.1-1
- update to 0.15.1 release

* Thu Sep 03 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.15.0-2
- Move common files man page and etc conf file to -conf subpackage

* Thu Aug 13 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.15.0-1
- update to 0.15.0 release
- make dnf-langpacks to python-dnf-langpacks
- dnf-langpacks will pull default python3-dnf-langpacks

* Fri Jul 31 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.14.0-1
- update to 0.14.0 release

* Mon Jul 20 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.12.0-2
- Remove unnecessary config item "enabled=1"

* Mon Jul 20 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.12.0-1
- update to 0.12.0 release

* Sat Jul 18 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.11.1-1
- update to 0.11.1 release

* Fri Jul 17 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.11.0-1
- update to 0.11.0 release

* Wed May 13 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.10.0-1
- update to 0.10.0 release

* Wed Apr 15 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.9.1-1
- update to 0.9.1 release

* Mon Mar 30 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.9.0-2
- bump the release for proper Requires: dnf-plugins-core

* Mon Mar 30 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.9.0-1
- update to 0.9.0 release
- follow update py2/py3 packaging guidelines

* Sun Mar 08 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.8.1-2
- Fix dependency dnf-plugins-core to python-dnf-plugins-core

* Thu Feb 12 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.8.1-1
- update to 0.8.1 release

* Thu Feb 12 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.8.0-1
- update to 0.8.0 release

* Tue Feb 03 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.7.0-2
- Added python3-dnf-langpacks sub-package

* Mon Feb 02 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.7.0-1
- update to 0.7.0 release

* Fri Jan 09 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.6.1-1
- update to 0.6.1 release

* Tue Dec 23 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.6.0-1
- update to 0.6.0 release

* Fri Nov 21 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.5.1-1
- update to 0.5.1 release

* Sun Oct 12 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.5.0-1
- update to 0.5.0 release

* Wed Oct 08 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.4.0-1
- update to 0.4.0 release

* Wed Sep 03 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.3.1-2
- Resolves:rh#1136172 - Add requires: dnf-plugins-core

* Wed Aug 27 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.3.1-1
- update to 0.3.1 release

* Tue Jul 08 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.3.0-1
- update to 0.3.0 release

* Wed Jun 11 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.1.0-1
- initial package
